# pandas.tseries.offsets.FY5253

class pandas.tseries.offsets.FY5253

  Describes 52-53 week fiscal year. This is also known as a 4-4-5 calendar.

  It is used by companies that desire that their fiscal year always end on the same day of the week.

  It is a method of managing accounting periods. It is a common calendar structure for some industries, such as retail, manufacturing and parking industry.

  For more information see: https://en.wikipedia.org/wiki/4-4-5_calendar

  The year may either:

  - end on the last X day of the Y month.

  - end on the last X day closest to the last day of the Y month.

  X is a specific day of the week. Y is a certain month of the year

  Parameters
    n int
    weekday int {0, 1, …, 6}, default 0

      A specific integer for the day of the week.

      - 0 is Monday

      - 1 is Tuesday

      - 2 is Wednesday

      - 3 is Thursday

      - 4 is Friday

      - 5 is Saturday

      - 6 is Sunday.

    startingMonth int {1, 2, … 12}, default 1

      The month in which the fiscal year ends.

    variation str, default “nearest”

      Method of employing 4-4-5 calendar.

      There are two options:

      - “nearest” means year end is weekday closest to last day of month in year.

      - “last” means year end is final weekday of the final month in fiscal year.

  Attributes

  `base` | Returns a copy of the calling offset object with n=1 and all other attributes equal.

  freqstr |
  kwds |
  n |
  name |
  nanos |
  normalize |
  rule_code |
  startingMonth |
  variation |
  weekday |

  Methods

  `__call__`(*args, **kwargs) | Call self as a function.
  `rollback` | Roll provided date backward to next offset only if not on offset.
  `rollforward` | Roll provided date forward to next offset only if not on offset.

  apply |
  apply_index |
  copy |
  get_rule_code_suffix |
  get_year_end |
  isAnchored |
  is_anchored |
  is_month_end |
  is_month_start |
  is_on_offset |
  is_quarter_end |
  is_quarter_start |
  is_year_end |
  is_year_start |
  onOffset |